local addon = PvPTimer

local spells = {
	-- Dancing Rune Weapon
	[49028] = {
		class = 'DEATHKNIGHT',
		spec = 1,
		duration = 12,
		cooldown = 90,
		type = 'offensive',
	},
	-- Dark Transformation
	[63560] = {
		class = 'DEATHKNIGHT',
		spec = 3,
		cooldown = 30,
		type = 'offensive',
	},
	-- Pillar of Frost
	[51271] = {
		class = 'DEATHKNIGHT',
		spec = 2,
		duration = 20,
		cooldown = 60,
		type = 'offensive',
	},
	-- Summon Gargoyle
	[49206] = {
		class = 'DEATHKNIGHT',
		spec = 3,
		duration = 30,
		cooldown = 180,
		type = 'offensive',
	},
	-- Unholy Frenzy
	[49016] = {
		class = 'DEATHKNIGHT',
		spec = 3,
		duration = 30,
		cooldown = 180,
		type = 'offensive',
	},
	-- Icebound Fortitude
	[48792] = {
		class = 'DEATHKNIGHT',
		duration = 12,
		cooldown = 180,
		type = 'defensive',
	},
	-- Anti-Magic Shell
	[48707] = {
		class = 'DEATHKNIGHT',
		duration = 5,
		duration_g = 2,
		cooldown = 45,
		type = 'defensive',
	},
	-- Anti-Magic Zone
	[51052] = {
		class = 'DEATHKNIGHT',
		spec = 3,
		duration = 10,
		cooldown = 120,
		type = 'defensive',
	},
	-- Death Pact
	[48743] = {
		class = 'DEATHKNIGHT',
		cooldown = 120,
		type = 'defensive',
	},
	-- Bone Shield
	[49222] = {
		class = 'DEATHKNIGHT',
		spec = 1,
		cooldown = 60,
		type = 'defensive',
	},
	-- Lichborne
	[49039] = {
		class = 'DEATHKNIGHT',
		--spec = 2,
		duration = 10,
		cooldown = 120,
		type = 'defensive',
	},
	-- Vampiric Blood
	[55233] = {
		class = 'DEATHKNIGHT',
		spec = 1,
		duration = 10,
		cooldown = 60,
		type = 'defensive',
	},
	-- Rune Tap
	[48982] = {
		class = 'DEATHKNIGHT',
		spec = 1,
		cooldown = 30,
		type = 'defensive',
	},
	-- Strangulate
	[47476] = {
		class = 'DEATHKNIGHT',
		duration = 5,
		cooldown = 120,
		cooldown_s1 = -60,
		type = 'interrupt',
	},
	-- Mind Freeze
	[47528] = {
		class = 'DEATHKNIGHT',
		cooldown = 10,
		type = 'interrupt',
	},
	-- Death Grip
	[49576] = {
		class = 'DEATHKNIGHT',
		cooldown = 25,
		type = 'interrupt',
	},
	-- Hungering Cold
	[49203] = {
		class = 'DEATHKNIGHT',
		spec = 2,
		duration = 10,
		cooldown = 60,
		type = 'cc',
	},
	-- Dark Simulacrum
	[77606] = {
		class = 'DEATHKNIGHT',
		duration = 8,
		cooldown = 60,
		type = 'offensive',
	},
	-- Leap (Ghoul)
	[47482] = {
		class = 'DEATHKNIGHT',
		cooldown = 30,
		type = 'offensive',
	},
	-- Gnaw (Ghoul)
	[91800] = 47481,
	[47481] = {
		class = 'DEATHKNIGHT',
		duration = 3,
		cooldown = 60,
		type = 'cc',
	},
	-- Shambling Rush (Transformed Ghoul)
	[91802] = {
		class = 'DEATHKNIGHT',
		cooldown = 30,
		type = 'offensive',
	},
	-- Monstrous Blow (Transformed Ghoul)
	[91797] = {
		class = 'DEATHKNIGHT',
		duration = 4,
		cooldown = 60,
		type = 'cc',
	},
}

local spec = {
	-- Heart Strike
	[55050] = 1,
	-- Frost Strike
	[49143] = 2,
	-- Scourge Strike
	[55090] = 3,
	-- Howling Blast
	[49184] = 2,
}

local hs = addon.Spells
for k, v in pairs(spells) do hs[k] = v end

local ss = addon.SpecSpells
for k, v in pairs(spec) do ss[k] = v end
